Bug 1227609 - virt-p2v: Using "Back" button causes output list to be repopulated multiple times
Summary: virt-p2v: Using "Back" button causes output list to be repopulated multiple t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.2
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard: P2V
Depends On: 1218766
Blocks: 1288337
TreeView+ depends on / blocked
 
Reported: 2015-06-03 06:32 UTC by tingting zheng
Modified: 2016-11-03 17:53 UTC (History)
6 users (show)

Fixed In Version: libguestfs-1.31.7-2.el7.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 17:53:30 UTC


Attachments (Terms of Use)
virt-p2v output method (2.37 MB, image/jpeg)
2015-06-03 06:56 UTC, tingting zheng
no flags Details
virt-p2v-multiple-outputs.png (69.54 KB, image/png)
2015-09-03 14:06 UTC, Richard W.M. Jones
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2576 normal SHIPPED_LIVE Moderate: libguestfs and virt-p2v security, bug fix, and enhancement update 2016-11-03 12:06:51 UTC

Description tingting zheng 2015-06-03 06:32:02 UTC
Description:
Output method shows three times in virt-p2v client.

Version:
libguestfs-1.28.1-1.37.el7.x86_64
virt-v2v-1.28.1-1.37.el7.x86_64
livecd-p2v-201505191242.iso	

How reproducible:
100%

Steps to Reproduce:
1.Boot host from virt-p2v iso.
2.After virt-p2v client is launched,fill correct conversion server ip,user name and password.
3.After connected to the conversion server,check "Virt-v2v output options".
4.Click Ooutput to (-o),there are "glance,libvirt,local,null,qemu,rhev,vdsm",but these options show 3 times each.

Actual results:
As description.

Expected results:
All the output methods only show once.

Additional info:
see the sreenshot.

Comment 2 tingting zheng 2015-06-03 06:56:55 UTC
Created attachment 1034151 [details]
virt-p2v output method

Comment 3 tingting zheng 2015-06-03 06:57:55 UTC
When I try virt-p2v-make-disk,after launch virt-p2v client from this way,can not reproduce this bug.

Comment 4 Richard W.M. Jones 2015-09-03 14:06:22 UTC
Created attachment 1069873 [details]
virt-p2v-multiple-outputs.png

I am able to reproduce this with:

virt-p2v-1.28.1-1.51.3.el7.iso
& virt-v2v-1.28.1-1.51.el7.x86_64

(but not with virt-v2v-1.31.3-1.fc24.x86_64)

See attached screenshot.

Comment 5 Richard W.M. Jones 2015-09-03 14:23:55 UTC
Sorry no, the problem is different.

What happens is this:

(1) You fill in the conversion server details on the first page.

(2) You go to the "Next" page, and the output list is normal.

(3) You go "Back" to the conversion server page.

(4) You go forwards again.

(5) Now the output list contains 2 x the list.

Similarly if you repeat steps (3)-(5) you will see 3 x the outputs,
4 x the outputs and so on.  In other words, when repopulating the
list of outputs, it doesn't remove the old list first (there is
code which is supposed to do this, but for some reason it doesn't
work).

The same bug affects upstream too.

Comment 6 Richard W.M. Jones 2015-09-03 15:39:55 UTC
Upstream fix is:
https://github.com/libguestfs/libguestfs/commit/6246bebf82e2bd097aa476dad101416faf03240f

I'm going to bump this to RHEL 7.3 because I can't face
spending more hours rebuilding the virt-p2v ISO (unless some
other important bug turns up in which case I'll slip this
fix in).

Comment 10 keanli 2016-05-26 08:09:19 UTC
I can reproduce it with build:
Livecd-p2v-201505191242.iso

Verify it with build:
Virt-p2v-1.32.4-1.iso

Steps:
1.Boot host from virt-p2v iso.
2.After virt-p2v client is launched,fill correct conversion server ip,user name and password.
3.Click the “test connection ”button
4.Click the "Next "button enter the convert setup page
5.Check the output option list
6.Each option just appear once in the option list
7.Go back to the conversion server page via click "back" Button
8.After repeat step3-step6 more than twice,all the output option methods only appear once

Result now:
According the testing result, the bug has been fixed
So move the bug from ON_QA to VERFIED

Comment 12 errata-xmlrpc 2016-11-03 17:53:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html


Note You need to log in before you can comment on or make changes to this bug.